package HtmlTools

import (
	"golang.org/x/net/html"
	"log"
	"net/http"
)

func GetHtml() *html.Node {
	resp, err := http.Get("https://golang-china.github.io/gopl-zh/ch5/ch5-02.html")
	if err != nil {
		log.Fatal(err)
	}
	if resp.StatusCode != http.StatusOK {
		err := resp.Body.Close()
		if err != nil {
			log.Fatal(err)
			return nil
		}
	}
	doc, err := html.Parse(resp.Body)
	if err != nil {
		log.Fatal(err)
		return nil
	}
	return doc

}
